Subject: Re: ODBC with PostgreSQL
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 13 Jun 2004 16:11:39 -0700

On Sun, Jun 13, 2004 at 02:04:01AM -0400, Barry wrote:
> I have ActivePerl installed along with Cygwin's Perl. When I
> configured ActivePerl, I had .pl files be associated with it, and I'm not
> sure what Perl is used when I paste "perl <path>" in Cygwin, or if there's
> a conflict, or if my error is caused by Cygwin's version of DBD::ODBC not
> working for Windows XP.

perl -V will show osname=cygwin for cygwin and osname=MSWin32 for ActiveState
(among other differences).  Depends which is in your path first, and from
your cygcheck output it looks like this would be the cygwin perl.

> > No need for them to be pre-built. Get them from CPAN. Have a look at the
> DBI mail list archives or these mail archives for any further
> information.
> 
> I have a feeling that information is out of date. Do I have to build
> DBD::ODBC?

AFAIK, yes.  Though it looks as if you already have (if in fact you
are running the cygwin perl).  I'm a little confused as to how you
could have modules but not know you installed them.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/